# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit eutils meson

DESCRIPTION="Desktop integration portal (wlroots backend)"
HOMEPAGE="https://flatpak.org/ https://github.com/flatpak/xdg-desktop-portal"
SRC_URI="https://github.com/emersion/${PN}/archive/v${PV}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="amd64 ~arm arm64 x86"
IUSE="doc" # geolocation

BDEPEND="
    gui-libs/wlroots
"

DEPEND="
	gui-wm/sway
"

RDEPEND="${DEPEND}"

src_prepare() {
	default
}

src_configure() {
	meson_src_configure
}
